% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mprocuste.R
\name{residuals.pm}
\alias{residuals.pm}
\title{Extract Model Residuals.}
\usage{
\method{residuals}{pm}(object, type = c("working", "response",
  "deviance", "pearson", "partial"), ...)
}
\arguments{
\item{type}{the type of residuals which should be returned.
Can be abbreviated.}

\item{obj}{R object of class `pm`}
}
\value{
Numeric matrix of n rows, where n is the number
        of observations.
}
\description{
residuals is a generic function which extracts model
             residuals from objects returned by modeling functions.
             The abbreviated form resid is an alias for residuals.
             It is intended to encourage users to access object
             components through an accessor function rather than by
             directly referencing an object slot.
}
\author{
Eric Coissac

Christelle Gonindard-Melodelima
}
